<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

namespace App\Http\ApiV1\OpenApiGenerated\Enums;

class BannerImageTypeEnum
{
    public const DESKTOP_IMAGE_TYPE = 'desktop';
    public const TABLET_IMAGE_TYPE = 'tablet';
    public const MOBILE_IMAGE_TYPE = 'mobile';

    /**
     * @return string[]
     */
    public static function cases(): array
    {
        return [
            self::DESKTOP_IMAGE_TYPE,
            self::TABLET_IMAGE_TYPE,
            self::MOBILE_IMAGE_TYPE,
        ];
    }
}
